Ethereum

Ethereum endpoints

Ethereum JSON-RPC methods share the same endpoint, by protocol definition, the payload methodparameter is the one used to know which method is the one to be called. To call this methods, is mandatory to specify the currency, eth in this case and the network in which to executed the request. Bitcoin JSON-RPC methods are exposed in the following endpoint http://server/eth/{network}/rpc where network has to be replace by the network name in which make the request

Return the balance of any address

post

Return the balance of any address

Body
idinteger · int32Required

Request ID

Example: 160907
jsonrpcstringRequired

JSON-RPC Version

Example: 2.0
methodstringRequired

Method name to be called. For this operation, the field value must be getAddressBalance

Example: getAddressBalance
Responses
chevron-right
200

Successful response

application/json
idinteger · int32Required

Request ID

Example: 160907
jsonrpcstringRequired

JSON-RPC Version

Example: 2.0
post
/getAddressBalance
200

Successful response

Return the balance of an array of addresses

post

Return the balance of an array of addresses

Body
idinteger · int32Required

Request ID

Example: 160907
jsonrpcstringRequired

JSON-RPC Version

Example: 2.0
methodstringRequired

Method name to be called. For this operation, the field value must be getAddressesBalance

Example: getAddressesBalance
Responses
chevron-right
200

Successful response

application/json
idinteger · int32Required

Request ID

Example: 160907
jsonrpcstringRequired

JSON-RPC Version

Example: 2.0
post
/getAddressesBalance
200

Successful response

Returns latest block hash and index

post

Returns latest block hash and index

Body
idinteger · int32Required

Request ID

Example: 160907
jsonrpcstringRequired

JSON-RPC Version

Example: 2.0
methodstringRequired

Method name to be called. For this operation, the field value must be getHeight

Example: getHeight
paramsobjectRequired
Responses
chevron-right
200

Successful response

application/json
idinteger · int32Required

Request ID

Example: 160907
jsonrpcstringRequired

JSON-RPC Version

Example: 2.0
post
/getHeight
200

Successful response

Returns the current price per gas in wei.

post

Returns the current price per gas in wei.

Body
idinteger · int32Required

Request ID

Example: 160907
jsonrpcstringRequired

JSON-RPC Version

Example: 2.0
methodstringRequired

Method name to be called. For this operation, the field value must be getGasPrice

Example: getGasPrice
paramsobjectRequired
Responses
chevron-right
200

Successful response

application/json
idinteger · int32Required

Request ID

Example: 160907
jsonrpcstringRequired

JSON-RPC Version

Example: 2.0
post
/getGasPrice
200

Successful response

Returns if blockchain is syncing

post

Returns True if blocks are syncing and returns False if theres no synchronization or is fully sychronize

Body
idinteger · int32Required

Request ID

Example: 160907
jsonrpcstringRequired

JSON-RPC Version

Example: 2.0
methodstringRequired

Method name to be called. For this operation, the field value must be syncing

Example: syncing
paramsobjectRequired
Responses
chevron-right
200

Successful response

application/json
idinteger · int32Required

Request ID

Example: 160907
jsonrpcstringRequired

JSON-RPC Version

Example: 2.0
post
/syncing
200

Successful response

Broadcast a transaction to the network

post

Broadcast a transaction to the network

Body
idinteger · int32Required

Request ID

Example: 160907
jsonrpcstringRequired

JSON-RPC Version

Example: 2.0
methodstringRequired

Method name to be called. For this operation, the field value must be broadcastTransaction

Example: broadcastTransaction
Responses
chevron-right
200

Successful response

application/json
idinteger · int32Required

Request ID

Example: 160907
jsonrpcstringRequired

JSON-RPC Version

Example: 2.0
post
/broadcastTransaction
200

Successful response

Generates and returns an estimate of how much gas is necessary to allow the transaction to complete

post

The transaction will not be added to the blockchain. Note that the estimate may be significantly more than the amount of gas actually used by the transaction, for a variety of reasons including EVM mechanics and node performance.

Body
idinteger · int32Required

Request ID

Example: 160907
jsonrpcstringRequired

JSON-RPC Version

Example: 2.0
methodstringRequired

Method name to be called. For this operation, the field value must be estimateGas

Example: estimateGas
Responses
chevron-right
200

Successful response

application/json
idinteger · int32Required

Request ID

Example: 160907
jsonrpcstringRequired

JSON-RPC Version

Example: 2.0
post
/estimateGas
200

Successful response

Returns the information of any block giving its hash

post

Returns the information of any block giving its hash

Body
idinteger · int32Required

Request ID

Example: 160907
jsonrpcstringRequired

JSON-RPC Version

Example: 2.0
methodstringRequired

Method name to be called. For this operation, the field value must be getBlockByHash

Example: getBlockByHash
Responses
chevron-right
200

Successful response

application/json
idinteger · int32Required

Request ID

Example: 160907
jsonrpcstringRequired

JSON-RPC Version

Example: 2.0
post
/getBlockByHash
200

Successful response

Returns the information of any block giving its height

post

Returns the information of any block giving its height

Body
idinteger · int32Required

Request ID

Example: 160907
jsonrpcstringRequired

JSON-RPC Version

Example: 2.0
methodstringRequired

Method name to be called. For this operation, the field value must be getBlockByNumber

Example: getBlockByNumber
Responses
chevron-right
200Success
application/json
idinteger · int32Required

Request ID

Example: 160907
jsonrpcstringRequired

JSON-RPC Version

Example: 2.0
post
/getBlockByNumber
200Success

Returns the number of success/pending transactions of any address

post

Returns the number of success/pending transactions of any address

Body
idinteger · int32Required

Request ID

Example: 160907
jsonrpcstringRequired

JSON-RPC Version

Example: 2.0
methodstringRequired

Method name to be called. For this operation, the field value must be getAddressTransactionCount

Example: getAddressTransactionCount
Responses
chevron-right
200Success
application/json
idinteger · int32Required

Request ID

Example: 160907
jsonrpcstringRequired

JSON-RPC Version

Example: 2.0
post
/getAddressTransactionCount
200Success

Returns the number of success/pending transactions of an array of address

post

Returns the number of success/pending transactions of an array of any address

Body
idinteger · int32Required

Request ID

Example: 160907
jsonrpcstringRequired

JSON-RPC Version

Example: 2.0
methodstringRequired

Method name to be called. For this operation, the field value must be getAddressesTransactionCount

Example: getAddressesTransactionCount
Responses
chevron-right
200Success
application/json
idinteger · int32Required

Request ID

Example: 160907
jsonrpcstringRequired

JSON-RPC Version

Example: 2.0
post
/getAddressesTransactionCount
200Success

Returns the receipt of a transaction by transaction hash

post

Returns the receipt of a transaction by transaction hash

Body
idinteger · int32Required

Request ID

Example: 160907
jsonrpcstringRequired

JSON-RPC Version

Example: 2.0
methodstringRequired

Method name to be called. For this operation, the field value must be getTransactionReceipt

Example: getTransactionReceipt
Responses
chevron-right
200Success
application/json
idinteger · int32Required

Request ID

Example: 160907
jsonrpcstringRequired

JSON-RPC Version

Example: 2.0
post
/getTransactionReceipt
200Success

Returns the transaction info given its hash

post

Returns the transaction info given its hash

Body
idinteger · int32Required

Request ID

Example: 160907
jsonrpcstringRequired

JSON-RPC Version

Example: 2.0
methodstringRequired

Method name to be called. For this operation, the field value must be getTransaction

Example: getTransaction
Responses
chevron-right
200Success
application/json
idinteger · int32Required

Request ID

Example: 160907
jsonrpcstringRequired

JSON-RPC Version

Example: 2.0
post
/getTransaction
200Success

Returns the transactions info given an array of transaction hashes

post

Returns the transactions info given an array of transaction hashes

Body
idinteger · int32Required

Request ID

Example: 160907
jsonrpcstringRequired

JSON-RPC Version

Example: 2.0
methodstringRequired

Method name to be called. For this operation, the field value must be getTransaction

Example: getTransaction
Responses
chevron-right
200Success
application/json
idinteger · int32Required

Request ID

Example: 160907
jsonrpcstringRequired

JSON-RPC Version

Example: 2.0
post
/getTransactions
200Success

Executes a new message call immediately without creating a transaction on the block chain

post

Executes a new message call immediately without creating a transaction on the block chain

Body
idinteger · int32Required

Request ID

Example: 160907
jsonrpcstringRequired

JSON-RPC Version

Example: 2.0
methodstringRequired

Method name to be called. For this operation, the field value must be call

Example: call
Responses
chevron-right
200Success
application/json
idinteger · int32Required

Request ID

Example: 160907
jsonrpcstringRequired

JSON-RPC Version

Example: 2.0
post
/call
200Success

Get transaction history of an address

post

Get transaction history of aaddresses

Body
idinteger · int32Required

Request ID

Example: 160907
jsonrpcstringRequired

JSON-RPC Version

Example: 2.0
methodstringRequired

Method name to be called. For this operation, the field value must be getAddressHistory

Example: getAddressHistory
Responses
chevron-right
200Success
application/json
idinteger · int32Required

Request ID

Example: 160907
jsonrpcstringRequired

JSON-RPC Version

Example: 2.0
post
/getAddressHistory
200Success

Get transaction history of an array of address

post

Get transaction history of an array of addresses

Body
idinteger · int32Required

Request ID

Example: 160907
jsonrpcstringRequired

JSON-RPC Version

Example: 2.0
methodstringRequired

Method name to be called. For this operation, the field value must be getAddressesHistory

Example: getAddressesHistory
Responses
chevron-right
200Success
application/json
idinteger · int32Required

Request ID

Example: 160907
jsonrpcstringRequired

JSON-RPC Version

Example: 2.0
post
/getAddressesHistory
200Success

Returns the status of the transaction indexing process.

post

Returns the status of the transaction indexing process.

Body
idinteger · int32Required

Request ID

Example: 160907
jsonrpcstringRequired

JSON-RPC Version

Example: 2.0
methodstringRequired

Method name to be called. For this operation, the field value must be indexing

Example: indexing
paramsobjectRequired
Responses
chevron-right
200Success
application/json
idinteger · int32Required

Request ID

Example: 160907
jsonrpcstringRequired

JSON-RPC Version

Example: 2.0
post
/indexing
200Success

Last updated